## hplip 3.16.10+repack0

=== debian/changelog ===
hplip (3.16.10+repack0-1mx15+1) mx; urgency=medium

  * New upstream release.
  * Use upstream Debian's repacked .orig source tarball and refreshed patchset.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Nov 2016 10:21:17 -0800

hplip (3.16.9+repack0-1mx150+3) mx; urgency=medium

  * Revert build-deps and -gui dependencies to Qt 4.
  * debian/rules: enable Qt 4, disable Qt 5.
  * Comment out the sni-qt patches for KDE.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Nov 2016 18:58:54 -0800

hplip (3.16.9+repack0-1mx150+2) mx; urgency=medium

  * Comment out new unavailable ninja'd dependencies for hplip-gui.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 30 Sep 2016 10:29:44 -0700

hplip (3.16.9+repack0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 27 Sep 2016 20:48:47 -0700
