## hplip 3.16.11+repack0

=== debian/changelog ===
hplip (3.16.11+repack0-3) unstable; urgency=low

  [ Gaurav Sood ]
  * Fix handling of unicode filenames in sixext.py
    (Closes: #861731, LP: #1480152)

 -- Didier Raboud <odyx@debian.org>  Thu, 04 May 2017 18:35:44 +0200

hplip (3.16.11+repack0-2) unstable; urgency=medium

  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)

  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Jan 2017 21:36:12 +0100

hplip (3.16.11+repack0-1) unstable; urgency=medium

  * New upstream version 3.16.11
    - HP LaserJet M101-M106 Printer
    - HP LaserJet Pro M203-M206 Printer
    - HP LaserJet Pro MFP M227-M231 Printer
    - HP LaserJet Pro MFP M129-M134
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Dec 2016 11:03:08 +0100

hplip (3.16.10+repack0-1) unstable; urgency=medium

  * New upstream version 3.16.10
    - HP OfficeJet Pro 7740 Wide Format All-in-One
    - HP OfficeJet 6950 All-in-One
    - HP Scanjet Pro 3000 S3
    - HP Scanjet Enterprise Flow 5000 S4
    - HP Scanjet Enterprise Flow 7000 S3
    - HP Color LaserJet MFP M277c6
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Nov 2016 22:11:09 +0100

hplip (3.16.9+repack0-2) unstable; urgency=medium

  * Remove leading asterisks from two NEWS entries
  * Fix list wrapping in scan.py to fix generated manpage
  * Add python3-gi as B-D to fix hp-check-plugin's manpage generation
  * Export HOME when building the manpages to permit hp-toolbox's manpage
    generation
  * Remove unnecessary ldconfig trigger for libsane-hpaio
  * Mark hplip-doc as M-A: foreign

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Oct 2016 12:08:37 +0200
