=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: hplip
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Didier Raboud <odyx@debian.org>,
            Till Kamppeter <till.kamppeter@gmail.com>,
@@ -14,6 +12,7 @@
                cups (>= 1.4.0) | cupsddk,
                debhelper (>= 9.20160114),
                dh-autoreconf,
+               dh-python,
                fdupes,
                findutils (>= 4.2.28),
                libcups2-dev,
@@ -22,6 +21,7 @@
                libjpeg-dev,
                libsane-dev,
                libsnmp-dev,
+               libssl-dev,
                libtool,
                libudev-dev [linux-any],
                libusb-1.0-0-dev [linux-any],
@@ -31,11 +31,12 @@
                patch (>= 2.5.9-3bpo1),
                policykit-1,
                pyppd (>= 1.0.1),
-               pyqt4-dev-tools,
+               pyqt5-dev-tools,
                python3-all-dev (>= 2.6.6-3~),
                python3-dbus (>= 0.80),
                python3-dev,
-               python3-pyqt4
+               python3-gi,
+               python3-pyqt5
 Standards-Version: 3.9.8
 Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Git: https://anonscm.debian.org/git/printing/hplip.git
@@ -103,16 +104,16 @@
  LaserJets, and for scanning, sending faxes and for photo-card access on
  most HP MFP (multi-function peripheral) printers.
  .
- This package contains data files and PPDs for the HP Linux Printing and
- Imaging System.
+ This package contains data files for the HP Linux Printing and Imaging
+ System.
 
 Package: printer-driver-postscript-hp
 Architecture: all
 Depends: hplip (>= ${source:Version}), ${misc:Depends}
-Replaces: hplip (<< 3.11.10-1), hplip-data (<< 3.11.10-1)
+Replaces: hplip (<< 3.11.10-1ubuntu2), hplip-data (<< 3.11.10-1ubuntu2)
 Breaks: cups (<< 1.5.0-11~),
-        hplip (<< 3.11.10-1),
-        hplip-data (<< 3.11.10-1)
+        hplip (<< 3.11.10-1ubuntu2),
+        hplip-data (<< 3.11.10-1ubuntu2)
 Description: HP Printers PostScript Descriptions
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -124,12 +125,11 @@
 
 Package: hplip-gui
 Architecture: all
-Depends:
-#        default-dbus-session-bus | dbus-session-bus,
+Depends: default-dbus-session-bus | dbus-session-bus,
          gksu | kdebase-bin (<< 4:4.4.0-1) | kde-runtime | kdebase-runtime | kdesudo | ktsuss,
          hplip (>= ${source:Version}),
-         python3-dbus.mainloop.qt,
-         python3-pyqt4,
+         python3-dbus.mainloop.pyqt5,
+         python3-pyqt5,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-notify2, xsane | simple-scan | skanlite
@@ -149,6 +149,7 @@
 
 Package: hplip-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Suggests: hplip
 Depends: ${misc:Depends}
@@ -188,8 +189,8 @@
             cups-filters (>= 1.0.42) | foomatic-filters,
             ghostscript
 Suggests: hpijs-ppds, hplip, hplip-doc
-Replaces: hpijs (<< 3.11.10-1)
-Breaks: hpijs (<< 3.11.10-1)
+Replaces: hpijs (<< 3.11.10-1ubuntu2)
+Breaks: hpijs (<< 3.11.10-1ubuntu2)
 Description: HP Linux Printing and Imaging - printer driver (hpijs)
  This package contains an IJS printer driver for Ghostscript, which
  adds support for most inkjet printers and some LaserJet printers
@@ -222,8 +223,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: hplip (= ${binary:Version}), hplip-doc
-Replaces: hplip-cups (<< 3.11.10-1)
-Breaks: hplip-cups (<< 3.11.10-1)
+Replaces: hplip-cups (<< 3.11.10-1ubuntu2)
+Breaks: hplip-cups (<< 3.11.10-1ubuntu2)
 Description: HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
  This package contains a CUPS-Raster-based printer driver which adds support
  for most inkjet printers and some LaserJet printers manufactured by HP. It
@@ -281,5 +282,3 @@
  Shared library that provides direct I/O for each process. Prior to
  hpmud, all I/O was serialized through hpiod, a monolithic I/O processor.
  The new hpmud direct I/O is faster. Hpmud supports parallel, USB and
- JetDirect connectivity.
- .
