=== debian/rules ===
--- 
+++ 
@@ -167,6 +167,7 @@
 	    for file in *; do \
 			if readlink $$file | grep ".py"; then \
 				PYTHONPATH=../lib/python$(PYTHON_DEFAULT_VERSION)/$(PYTHON_SITENAME)/ \
+				HOME=./ \
 				LD_LIBRARY_PATH=../lib/$(DEB_HOST_MULTIARCH) python3 ./$$file --help-man > $(CURDIR)/$$file.1 ; \
 			fi; \
 	    done \
