## hplip 3.17.6+repack0

=== debian/changelog ===
hplip (3.17.6+repack0-1mx15+1) mx; urgency=low

  * New upstream 3.17.6
    - Support for 53 HP printers
    - DeskJet 3775 - scanner not found (LP: #1690515)
    - Head alignment don't work (LP: #1690516)
  * Refresh patches

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Jul 2017 17:34:17 -0700

hplip (3.17.4+repack0-1mx15+1) mx; urgency=medium

  * New upstream version 3.17.4
    - Support for 32 HP LaserJet printers
    - cups Filter Failed with HP Laserjet (LP: #1656348)
    - HP OfficeJet Pro 7740:no tray choice (LP: #1649550)
    - Encapsulator.cpp send 10000 bytes of 0X00 to the Printer before real PCL
      commands (LP: #1648954)
    - hpps has no error handling (LP: #1521134)
  * Refresh patches

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 May 2017 17:37:17 -0700

hplip (3.16.11+repack0-1mx15+1) mx; urgency=medium

  * New upstream release.
    - HP LaserJet M101-M106 Printer
    - HP LaserJet Pro M203-M206 Printer
    - HP LaserJet Pro MFP M227-M231 Printer
    - HP LaserJet Pro MFP M129-M134
  * Import refreshed patchset from upstream Debian version.
  * Comment out the sni-qt patches for KDE.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Dec 2016 20:06:45 -0800
