=== debian/rules ===
--- 
+++ 
@@ -95,8 +95,8 @@
 		--enable-gui-build \
 		--enable-fax-build \
 		--disable-qt3 \
-		--disable-qt4 \
-		--enable-qt5 \
+		--enable-qt4 \
+		--disable-qt5 \
 		--enable-policykit \
 		--enable-udev-acl-rules
 
@@ -108,7 +108,7 @@
 
 	# Rebuild the UI files and patch the imports to be relative
 	(set -e; cd ui5; \
-		for i in *.ui ; do pyuic5 -o $${i%.ui}.py $$i; done; \
+		for i in *.ui ; do pyuic4 -o $${i%.ui}.py $$i; done; \
 		modules=$$(for i in *.py; do echo -n $${i%%.py}\|; done; echo dummyalternative); \
 		sed -r "s#from ($$modules)#from .\1#" -i *.py \
 	)
@@ -167,7 +167,6 @@
 	    for file in *; do \
 			if readlink $$file | grep ".py"; then \
 				PYTHONPATH=../lib/python$(PYTHON_DEFAULT_VERSION)/$(PYTHON_SITENAME)/ \
-				HOME=./ \
 				LD_LIBRARY_PATH=../lib/$(DEB_HOST_MULTIARCH) python3 ./$$file --help-man > $(CURDIR)/$$file.1 ; \
 			fi; \
 	    done \
