=== debian/control ===
--- 
+++ 
@@ -8,10 +8,8 @@
            Julian Andres Klode <jak@debian.org>
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                cups (>= 1.4.0) | cupsddk,
-               debhelper (>= 9.20160114),
-               dh-autoreconf,
+               debhelper (>= 10.2.5~),
                dh-python,
                fdupes,
                findutils (>= 4.2.28),
@@ -27,17 +25,15 @@
                libusb-1.0-0-dev [linux-any],
                libusb-dev [!linux-any !kfreebsd-any],
                libusb2-dev [kfreebsd-any],
-               lsb-release,
                patch (>= 2.5.9-3bpo1),
                policykit-1,
                pyppd (>= 1.0.1),
                pyqt5-dev-tools,
-               python3-all-dev (>= 2.6.6-3~),
+               python3-dev (>= 2.6.6-3~),
                python3-dbus (>= 0.80),
-               python3-dev,
                python3-gi,
                python3-pyqt5
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Git: https://anonscm.debian.org/git/printing/hplip.git
 Vcs-Browser: https://anonscm.debian.org/git/printing/hplip.git
@@ -282,3 +278,6 @@
  Shared library that provides direct I/O for each process. Prior to
  hpmud, all I/O was serialized through hpiod, a monolithic I/O processor.
  The new hpmud direct I/O is faster. Hpmud supports parallel, USB and
+ JetDirect connectivity.
+ .
+ With hpmud, HPLIP no longer has Linux specific libusb extensions. This
